

import {Component} from '@angular/core';
import {IonicPage, NavController, NavParams} from 'ionic-angular';
import {AuthService} from "../../providers/auth-service";
import {Common} from "../../providers/common";
import {PosPenjualan} from '../pos-penjualan/pos-penjualan';

/**
 * Generated class for the CustomerPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */

@IonicPage()
@Component({
    selector: 'page-customer',
    templateUrl: 'customer.html',
})
export class CustomerPage {
    public userDetails: any;
    public resposeData: any;
    public dataSet: any;
    public noRecords: boolean;
    userCart = {
        username: "",
        cart_id: "",
        nama_pelanggan: "",
        id_pelanggan: ""
    };

    constructor(public navCtrl: NavController,
        public navParams: NavParams,
        public authService: AuthService,
        public common: Common, ) {
        this.userCart.cart_id = navParams.get('cart_id');
        this.userCart.username = navParams.get('username');
        this.getPelanggan();
    }

    ionViewDidLoad() {}

    getPelanggan() {
        this.authService.postData(this.userCart, "customer").then(
            result => {
                this.resposeData = result;
                if (this.resposeData.customerData) {
                    this.dataSet = this.resposeData.customerData;
                    const dataLength = this.resposeData.customerData.length;
                    if (dataLength == 0) {
                        this.noRecords = true;
                    }
                } else {
                    this.noRecords = true;
                }
            },
            err => {
                this.noRecords = true;
            }
        );
    }

    ambilData($item) {
        this.userCart.id_pelanggan = $item.id_pelanggan;
        this.authService.postData(this.userCart, "updateCustomer").then(
            result => {
                this.resposeData = result;
                if (this.resposeData.cartData) {
                    this.navCtrl.setRoot(PosPenjualan);
                }
            },
            err => {
            }
        );
    }
}
